Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 8 reacties
Bron: PHP, submitter: Superboer12

Nadat de ontwikkelaars van PHP versie 5.1.3 online hadden gezet, werd er een kritieke bug gevonden in de $_POST array handling en bevatte FastCGI sapi nog enkele schoonheidsfoutjes. Deze problemen, alsmede een aantal andere bugs, zijn in de nieuwe onlangs uitgebrachte 5.1.4-release verholpen. PHP is een zogenoemde hypertext preprocessor en wordt voornamelijk gebruikt om dynamische content in de opmaaktaal HTML serverside te genereren. De software wordt veelal gebruikt in combinatie met het databaseprogramma MySQL, waarmee de dynamische content van websites en forums worden geserveerd. Versie 5.1.4 is via deze pagina te downloaden en wordt geleverd met het volgende changelog:

A critical bug with $_POST array handling as well as the FastCGI sapi have been discovered in PHP 5.1.3. A new PHP release 5.1.4 is now available to address these issues. All PHP users are encouraged to upgrade to this release as soon as possible.

Version 5.1.4

  • Added "capture_peer_cert" and "capture_peer_cert_chain" context options for SSL streams. (Wez).
  • Added PDO::PARAM_EVT_* family of constants. (Sara)
  • Fixed possible crash in highlight_string(). (Dmitry)
  • Fixed bug #37291(FastCGI now longer works with isapi_fcgi.dll). (Dmitry)
  • Fixed bug #37277(cloning Dom Documents or Nodes does not work). (Rob)
  • Fixed bug #37276(problems with $_POST array). (Dmitry)
  • Fixed bug #36632(bad error reporting for pdo_odbc exec UPDATE). (Wez).
  • Fixed bug #35552(crash when pdo_odbc prepare fails). (Wez).
  • Moderatie-faq Wijzig weergave

    Reacties (8)

    Ik vraag me toch af wat voor testing ze daar bij PHP doen als zoiets cruciaals als $_POST handling compleet fout gaat.
    nou weet ik niet wat de bug is, maar ik draai (bij wijze van test) nog even 5.1.3 maar kom 't probleem zo 1-2-3 niet tegen. het zal dus niet iets zijn dat altijd naar boven komt bij 't gebruik van $_POST
    http://bugs.php.net/bug.php?id=37276
    Expected result:
    ----------------
    Array
    (
    [masivasid] => Array
    (
    \[id_1] => Nzzz1
    \[id_2] => Nzzz2
    )

    )

    Actual result:
    --------------
    Array
    (
    [masivasid] => Array
    (
    \[id_1] => Nzzz1
    \[id_2] => Array
    (
    \[id_1] => Nzzz2
    )

    )

    )
    De bug ging niet over een standaard variabele die je via $_POST binnenkrijgt. PHP van kan parameters met blokhaakjes erin automatisch array's genereren. De link die hierboven gepost is geeft dat al vrij duidelijk aan.
    Daar ben ik het wel mee eens ja. Lijkt wel een last minute foutje... Kvind het raar dat deze fout erin is geslopen en niet gevonden is.
    FastCGI sapi nog enkele schoonheidsfoutjes
    Schoonheidsfoutjes? :')

    Na een tijdje draaien liep het grandioos de soep in waarna php script niet meer geladen werden...
    php is een absolute prachttaal maar je moet echt even twee weken wachten met upgraden. vreemd genoeg komt dit soort dingen vaker voor. ik heb gelukkig nog niet geupgrade en zat nog op 5.1.2 want bijvoorbeeld die array handling in $_POST gebruik ik regelmatig en dat had een hoop koppijn kunnen worden.
    nu wacht ik gewoon nog twee weekjes en als er dan nog niks spannends is bijgekomen ga ik misschien weer eens upgraden
    Licentietype: Adware

    sinds wanneer krijg je adware in php :S

    Op dit item kan niet meer gereageerd worden.



    Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

    © 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True